Bug 96964 - Installation crases on HP Proliant DL360G3 hw
Installation crases on HP Proliant DL360G3 hw
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-06-07 01:54 EDT by Jukka Hero
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-12 15:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jukka Hero 2003-06-07 01:54:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
When trying to install Red Hat 9 on HP Proliant DL360G3 hardware, installation
crashes every time after creating paritions and formatting them. It does not
seem to make any difference if tried to do custom or server install, and used
different parition sizes. Following error message is displayed on the screen:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 739, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 459, in run
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 583, in doPreInstall
  File "/usr/lib/anaconda/image.py", line 50, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 180, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
IndexError: list index out of range

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start installation from bootable redhat 9 cd
2. create partitions and select packages
3. after creating partitions, the error is displayed

Additional info:
Comment 1 Michael Fulbright 2003-06-10 14:51:30 EDT
Have you tested the CD media?
Comment 2 Jukka Hero 2003-06-11 00:51:12 EDT
Tried two different cd's and same problem. Also tried to install from these 
cd's to another pc and works fine.
Comment 3 Michael Fulbright 2003-06-12 15:41:58 EDT
This would indicate the problem is an interaction between the drive in the HP
machines and the CD media causing read errors.  You may want to get a
replacement set of media, or try swapping a different CD drive into the HP box.

Note You need to log in before you can comment on or make changes to this bug.